- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# FbxCachedEffect Class Reference

Search for all occurrences

## Detailed Description

A cached effect is a type of node attribute to represent certain type of effect by an cache object.

Categories are particle cache, fluid cache, hair cache and general cache.

See also:
  ECategory for the effect types that are supported.

Definition at line 28 of file fbxcachedeffect.h.

`#include <fbxcachedeffect.h>`

Inheritance diagram for FbxCachedEffect:
[legend]

List of all members.

## Public Types
enum | ECategory { eParticles, eFluids, eHair, eGeneric }
| Effect attribute category. More...
## Public Member Functions
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Returns the FbxNodeAttribute::EType::eCachedEffect attribute type.
ECategory | GetCategory () const
| Return the specialization category of this effect attribute.
void | SetCache (FbxCache *pCache, ECategory pCategory=eGeneric)
| Assign a cache object to be used by this attribute.
FbxCache * | GetCache () const
| Get the cache object used by this node attribute.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
virtual const char * | GetTypeName () const
virtual FbxStringList | GetTypeFlags () const
## Protected Member Functions
| FbxCachedEffect (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxCachedEffect *pFrom)
virtual bool | ConstructProperties (bool pForceSet)

## Member Enumeration Documentation

enum ECategory

Search for all occurrences

Effect attribute category.

This is for identification purpose and has no influence inside the FBX SDK. However, applications may use this to filter FbxCachedEffect objects.

Remarks:
  Vertex caches for deforming geometries are not handled by the FbxCachedEffect object. These caches are connected with the FbxVertexCacheDeformer object.
  If an object of this class is used as the default NodeAttribute for a FbxNode and the scene is saved to an FBX v6 and earlier versions, the CachedEffect attribute is not saved and the FbxNode will be processed as a FbxNull node with default values for the attribute.

Enumerator:

  eParticles | This effect handles a particle cache. Search for all occurrences
  eFluids | This effect handles a fluid cache. Search for all occurrences
  eHair | This effect handles an hair cache. Search for all occurrences
  eGeneric | This effect handles a cache other than particles, fluids or hair. Search for all occurrences

Definition at line 45 of file fbxcachedeffect.h.

        {
            eParticles,
            eFluids,
            eHair,
            eGeneric
        };

## Constructor & Destructor Documentation

FbxCachedEffect | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the FbxNodeAttribute::EType::eCachedEffect attribute type.

Reimplemented from FbxNodeAttribute.

ECategory GetCategory | ( |  | ) | const

Search for all occurrences

Return the specialization category of this effect attribute.

void SetCache | ( | FbxCache * | pCache,
|  | ECategory | pCategory = `eGeneric`
| ) |  |

Search for all occurrences

Assign a cache object to be used by this attribute.

Parameters:

  pCache | The cache object.
  pCategory | The type of this cached effect.

Remarks:
  The cache referenced by the pCache pointer can be freely shared among multiple FbxCachedEffect (and even the FbxVertexCacheDeformer) therefore pCategory identifier should really only used as a hint of what this FbxCachedEffect represents but it should not be taken for granted that the content of the cache really matches the category. Applications should always check the cache files to ensure that they are manipulating the desired information.

FbxCache* GetCache | ( |  | ) | const

Search for all occurrences

Get the cache object used by this node attribute.

Returns:
  A pointer to the cache object used by this node attribute, or `NULL` if no cache object is assigned.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Construct | ( | const FbxCachedEffect * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxNodeAttribute.

virtual const char* GetTypeName | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from FbxObject.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from FbxObject.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxcachedeffect.h

FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect
FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect FbxCachedEffect